#!/bin/bash
#

prog="cdnkiller"
logfile="./logs/cdnkiller.log"

start(){
    ulimit -c unlimited
    if [ -f "/usr/bin/pkill" ]; then
    /usr/bin/pkill $prog
    else
    pkill $prog
    fi
	./app/$prog >> $logfile 2>&1 &
	ret=$?
	sleep 5
	if [ $ret -eq 0 ]; then
	    echo $"Starting $prog [OK]"
	else
    	echo $"Starting $prog [FAIL]"
    fi
    return $ret
}

stop(){
  
    if [ -f "/usr/bin/pkill" ]; then
    /usr/bin/pkill nginx
    else
    pkill nginx
    fi

    if [ -f "/usr/bin/pkill" ]; then
    /usr/bin/pkill $prog
    else
    pkill $prog
    fi
	ret=$?
	sleep 2
	if [ $ret -eq 0 ]; then
	    echo $"Stopping $prog [OK]"
	else
		if [ -f "/usr/bin/pkill" ]; then
	    /usr/bin/pkill $prog
	    else
	    pkill $prog
	    fi
    	echo $"Stopping $prog [FAIL]"
    fi	
	return $ret
}

restart(){
    stop
    echo $"Wait ..."
    sleep 5
    start
}

install(){
    ./tools/install.sh
}

uninstall(){
    ./tools/uninstall.sh
}

resetpwd(){
    echo '{"user_name": "admin", "password": "pbkdf2:sha256:150000$Sgepaftu$d26bdcc6a12cfe8075883d9a6228b03a1c5699a9fa9b59c781d1aa96b133670a"}' > ./db/user.json
    echo 'reset password success!'
    echo 'new password: admin123456'
}

case "$1" in
  start)
    start
    ;;
  stop)
    stop
    ;;
  restart)
    restart
    ;;
  install)
    install
    ;;
  uninstall)
    uninstall
    ;;
  resetpwd)
    resetpwd
    ;;
  *)
    echo $"Usage: $0 {start|stop|install|uninstall|restart|resetpwd}"
    exit 1
esac

exit $?
